export default [
  {
    path: '/user',
    component: '../layouts/UserLayout',
    routes: [
      {
        name: 'login',
        path: '/user/login',
        component: './user/login',
      },
    ],
  },
  {
    path: '/',
    component: '../layouts/SecurityLayout',
    routes: [
      {
        path: '/',
        component: '../layouts/BasicLayout',
        authority: ['admin', 'user'],
        routes: [
          {
            path: '/',
            redirect: '/channel',
          },
          // {
          //   path: '/welcome',
          //   name: '首页',
          //   component: './Welcome',
          // },
          {
            path: '/channel',
            name: '渠道列表',
            component: './channel',
          },
          {
            path: '/channel/edit',
            name: '渠道列表',
            hideInMenu: true,
            component: './channel/edit',
          },
          {
            path: '/sample',
            name: 'H5样例管理',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/sample/h5/list',
                name: 'H5样例',
                component: './sample/h5/index',
              },
              {
                path: '/sample/h5/edit',
                name: 'H5样例编辑',
                hideInMenu: true,
                component: './sample/h5/edit',
              },
              {
                path: '/sample/demand/list',
                name: 'H5需求单',
                component: './sample/demand/index',
              },
              {
                path: '/sample/demand/edit',
                name: 'H5需求单详情',
                hideInMenu: true,
                component: './sample/demand/edit',
              },
            ],
          },
          {
            path: '/contact',
            name: '联系人管理',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/contact/contact/list',
                name: '联系人',
                component: './contact/contact/list',
              },
              {
                path: '/contact/contact/add',
                name: '新增',
                hideInMenu: true,
                component: './contact/contact/add',
              },
              {
                path: '/contact/contact/detail',
                name: '详情',
                hideInMenu: true,
                component: './contact/contact/detail',
              },
            ],
          },
          {
            path: '/resource',
            name: '资源位管理',
            component: '../layouts/BlankLayout',
            routes: [
              {
                path: '/resource/openScreen',
                name: '开屏通知',
                component: './resource/openScreen',
              },
              {
                path: '/resource/openScreen/add',
                name: '新增',
                hideInMenu: true,
                component: './resource/openScreen/edit',
              },
              {
                path: '/resource/openScreen/edit',
                name: '开屏通知编辑',
                hideInMenu: true,
                component: './resource/openScreen/edit',
              },
            ],
          },
          
          {
            component: './404',
          },
        ],
      },
      {
        component: './404',
      },
    ],
  },
  {
    component: './404',
  },
];
